{
  "root": true,
  "env": { "browser": true, "es2021": true, "node": true },
  "extends": [
    "eslint:recommended",
    "plugin:vue/vue3-recommended",
    "@vue/typescript/recommended",
    "prettier"
  ],
  "parserOptions": { "ecmaVersion": 2021 },
  "plugins": [],
  "rules": {
    "vue/require-default-prop": "off",
    "vue/multi-word-component-names": "off",
    "no-console": "off",
    "@typescript-eslint/no-explicit-any": "error"
  },
  "overrides": [{ "files": "*.vue", "rules": { "no-undef": "off" } }]
}
